PHP 多个缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1185802 漏洞类型 缓冲区溢出
发布时间 2008-08-14 更新时间 2009-06-09
CVE编号 CVE-2008-3658 CNNVD-ID CNNVD-200808-225
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200808-225
|漏洞详情
PHP是使用较为广泛的网页脚本语言。PHP4.4.9之前的4.4.x版本和PHP5.2.6-r6之前的5.2版本中的ext/gd/gd.c中的imageloadfont函数存在缓冲区溢出漏洞。攻击者可以借助一个特制的font文件,引起拒绝服务(崩溃),也可能执行任意代码。
|参考资料

来源:US-CERT
名称:TA09-133A
链接:http://www.us-cert.gov/cas/techalerts/TA09-133A.html
来源:FEDORA
名称:FEDORA-2009-3848
链接:https://www.redhat.com/archives/fedora-package-announce/2009-May/msg01465.html
来源:FEDORA
名称:FEDORA-2009-3768
链接:https://www.redhat.com/archives/fedora-package-announce/2009-May/msg01451.html
来源:XF
名称:php-imageloadfont-dos(44401)
链接:http://xforce.iss.net/xforce/xfdb/44401
来源:VUPEN
名称:ADV-2009-1297
链接:http://www.vupen.com/english/advisories/2009/1297
来源:VUPEN
名称:ADV-2008-2336
链接:http://www.vupen.com/english/advisories/2008/2336
来源:BID
名称:30649
链接:http://www.securityfocus.com/bid/30649
来源:BUGTRAQ
名称:20090302rPSA-2009-0035-1phpphp-cgiphp-imapphp-mcryptphp-mysqlphp-mysqliphp-pgsqlphp-soapphp-xslphp5php5-cgiphp5-imapphp5-mcryptphp5-mysqlphp5-mysqliphp5-pearphp5-pgsqlphp5-soapphp5-xsl
链接:http://www.securityfocus.com/archive/1/archive/1/501376/100/0/threaded
来源:HP
名称:HPSBTU02382
链接:http://www.securityfocus.com/archive/1/archive/1/498647/100/0/threaded
来源:HP
名称:HPSBTU02382
链接:http:/